SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001005SiT!incidentspublic2009-11-06 09:432010-01-23 19:02
Reporternicdev 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS VersionXP+Later
Product Version3.50 
Target Version3.51Fixed in Version3.51 
Summary0001005: Creating an incident from the holding queue does not move the attachment
DescriptionWhen we have an incident in the holding queue, and we create a new incident from it the attachments which are in the '/updates' folder is note moved to the '/incidentid' folder.
Additional InformationThis problem is related to a bug that Kieran fixed (BUG 774) where we stoppped to write the entire filanme in the updates directory.

The problem is that the incident_add.php still tried to find the file with the full filename (which was file_id+filename originally).

The problem is here in line 789 of incident_add.php:

789 $old_file = $old_path . $filename;

The fix is to change this to:

789 $old_file = $old_path . $row->linkcolref;

as the file is no longer originally saved entirely but only as a ref.
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001041closed Inbound Email loses its attachemets 
related to 0001347closedivan attachments that moved by move_update.php are not moved 
child of 0000774closedkieran Attachments with accented characters like "é" in the filename do not get imported 

-  Notes
User avatar (0002265)
paulh (administrator)
2010-01-10 17:10

Reproduced this with latest 3.x SVN code
User avatar (0002266)
paulh (administrator)
2010-01-10 17:15

Moving the file from updates to the relevant incidentid directory allows the file to be accessed, will look at this more in abit
User avatar (0002268)
paulh (administrator)
2010-01-10 19:41

Cheers Nicdev, r5986 in 3.x and trunk resolves this
User avatar (0002314)
ivan (administrator)
2010-01-23 19:02

Fix released in v3.51 which is now available

- Issue History
Date Modified Username Field Change
2009-11-06 09:43 nicdev New Issue
2009-11-06 09:43 nicdev Summary Creating an incident from the holding queue does not move the attchment => Creating an incident from the holding queue does not move the attachment
2009-11-06 12:52 nicdev Relationship added child of 0000774
2010-01-10 17:10 paulh Note Added: 0002265
2010-01-10 17:10 paulh Status new => confirmed
2010-01-10 17:15 paulh Note Added: 0002266
2010-01-10 19:41 paulh Note Added: 0002268
2010-01-10 19:41 paulh Assigned To => paulh
2010-01-10 19:41 paulh Status confirmed => resolved
2010-01-10 19:41 paulh Resolution open => fixed
2010-01-10 19:41 paulh Fixed in Version => Current SVN
2010-01-13 12:13 paulh Relationship added has duplicate 0001041
2010-01-23 19:01 ivan Fixed in Version Current SVN => 3.51
2010-01-23 19:02 ivan Note Added: 0002314
2010-01-23 19:02 ivan Status resolved => closed
2010-06-17 12:42 ivan Relationship added related to 0001347


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker